FIX: "The custom resolver for this article requires OLEAUT32.DLL with a minimum version of 2.40.4276" error with merge publication in SQL Server

Applies to: SQL Server 2014 EnterpriseSQL Server 2016 DeveloperSQL Server 2016 Enterprise

Symptoms


Consider the following scenario in Microsoft SQL Server :

  • You create a publication of type Merge Replication.

  • You configure this publication to use a Microsoft COM-based resolver for resolving conflicts.

  • You configure an article that includes an arithmetic data type column (such as int, smallint, numeric, and so on).

  • You configure the arithmetic data type column as resolver information and the article resolver as one of the following:

    • Microsoft SQL Server Additive Conflict Resolver

    • Microsoft SQL Server Averaging Conflict Resolver

    • Microsoft SQL Server Maximum Conflict Resolver

    • Microsoft SQL Server Minimum Conflict Resolver

  • You create a subscription for the publication.

In this scenario, the synchronization fails when a conflict is detected, and you receive the following error message:

The Custom resolver for this article requires OLEAUT32.DLL with a minimum version of 2.40.4276.

Cause


This issue occurs because of an incorrect check on the version of the "C:\Windows\System32\OLEAUT32.DLL" file.

Resolution


Cumulative Update Information for SQL Server:

This issue is fixed in the following updates of the SQL Server:

Service pack information for SQL Server:

This issue is fixed in the following service pack for SQL Server:

      Service Pack 4 for SQL Server 2012

For more information about how to obtain the latest service pack, see How to obtain the latest service pack for SQL Server 2012

About Service packs for SQL Server

Status


Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.

References


Learn about the terminology Microsoft uses to describe software updates.